Bug 207295 - Fedora install refuses to recognize external firewire hard drive as install target
Summary: Fedora install refuses to recognize external firewire hard drive as install t...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 6
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-20 15:18 UTC by Alex Kanavin
Modified: 2014-03-17 03:02 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-09-22 16:49:20 UTC


Attachments (Terms of Use)
anaconda.log file (13.71 KB, text/plain)
2006-09-21 15:52 UTC, Alex Kanavin
no flags Details
syslog file (59.63 KB, text/plain)
2006-09-21 15:54 UTC, Alex Kanavin
no flags Details

Description Alex Kanavin 2006-09-20 15:18:49 UTC
Fedora installer refuses to recognize an external firewire drive as an install
target. The kernel sees the drive just fine and loads the necessary 
drivers, but it does not show up in the list of drives to install to.

External USB drives, however, are recognized and configured on /dev/sda when
present.

Comment 1 Jeremy Katz 2006-09-20 17:17:26 UTC
Can you switch to tty2 and provide the output of list-harddrives?

Comment 2 Alex Kanavin 2006-09-20 23:35:15 UTC
Sure.

hda 76316.5942383

That's it.

Comment 3 Alex Kanavin 2006-09-21 15:10:08 UTC
I had a look at what list-harddrives does, and here's a couple more diagnostics:

>>> from kudzu import *
>>> probe(CLASS_HD, BUS_UNSPEC, PROBE_ALL)
[Desc:           FUJITSU MHT2080AH
Driver:         None
Device:         hda
]
>>> probe(CLASS_SCSI, BUS_UNSPEC, PROBE_ALL)
[Desc:           (1394-ATAPI rev1.10
Driver:         sbp2
Device:         None
]

Hope that helps.

Comment 4 Jeremy Katz 2006-09-21 15:38:16 UTC
Hrmm... can you attach /tmp/anaconda.log and /tmp/syslog?

Comment 5 Alex Kanavin 2006-09-21 15:52:28 UTC
Created attachment 136869 [details]
anaconda.log file

Comment 6 Alex Kanavin 2006-09-21 15:54:54 UTC
Created attachment 136871 [details]
syslog file

Comment 7 Bill Nottingham 2006-09-22 04:50:19 UTC
Can you try:

>>> from kudzu import *
>>> probe(CLASS_UNSPEC, BUS_SCSI, PROBE_ALL)

?



Comment 8 Alex Kanavin 2006-09-22 08:53:38 UTC
Sure. It's
[Desc:           WDC WD80 0JB-00JJA0
Driver:         None
Device:         sda
]

Also, /proc/scsi/scsi is interesting:
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: WDC WD80 Model: 0JB-00JJA0       Rev:     
  Type:   Direct-Access-RBC                ANSI SCSI revision: 04

/sys/bus/scsi/devices/.../type reads 14. Apparently it isn't recognized by kudzu as a harddrive yet.

Comment 9 Bill Nottingham 2006-09-22 16:34:51 UTC
Fixed in 1.2.57-1; thanks for the help.

Comment 10 Alex Kanavin 2006-09-22 16:48:09 UTC
Uh.

+                       case 0x14:

I think it should be 0x0e. That 'type' file contains decimal integers, not hex ones.

Comment 11 Bill Nottingham 2006-09-22 16:49:20 UTC
Oops, thanks.


Note You need to log in before you can comment on or make changes to this bug.